Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api
Class DataModelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.qizx.api.QizxException
                  com.qizx.api.DataModelException

All Implemented Interfaces:
  Serializable

    public class DataModelException

extends QizxException

Exception raised by operations on XML data.

See Also:
  Serialized Form

Constructor Summary
`DataModelException(QName errorCode, String message)` Constructs a DataModelException with a message and an XQuery error code.
`DataModelException(String message)` Constructs a DataModelException from a simple message.
`DataModelException(String code, String message)` Constructs a DataModelException with a message and an XQuery error code in string form (uses the err: namespace).
`DataModelException(String message, Throwable cause)` Constructs a DataModelException from a simple message and an exception.

Method Summary

Methods inherited from class com.qizx.api.QizxException
`getErrorCode, setErrorCode, setErrorCode, substituteCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataModelException

    public DataModelException(String message)

  Constructs a DataModelException from a simple message. The error code is undefined.

  Parameters:
    `message` - reason for the exception

### DataModelException

    public DataModelException(String message,
                              Throwable cause)

  Constructs a DataModelException from a simple message and an exception. The error code is undefined.

  Parameters:
    `message` - reason for the exception
    `cause` - wrapped cause

### DataModelException

    public DataModelException(QName errorCode,
                              String message)

  Constructs a DataModelException with a message and an XQuery error code.

  Parameters:
    `errorCode` - the QName of the error (in principle the XQuery error namespace `http://www.w3.org/2005/xqt-errors`)
    `message` - reason for the exception

### DataModelException

    public DataModelException(String code,
                              String message)

  Constructs a DataModelException with a message and an XQuery error code in string form (uses the err: namespace).

  Parameters:
    `code` - XQuery code such as XPTY0004
    `message` - reason for the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD